Bug 97233 - vkQuake VkSpecializationMapEntry related bug
Summary: vkQuake VkSpecializationMapEntry related bug
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Vulkan/intel (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Intel 3D Bugs Mailing List
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-07 11:46 UTC by Vedran Rodic
Modified: 2016-11-30 04:33 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vedran Rodic 2016-08-07 11:46:16 UTC
vkQuake introduced using specialization constants in this version
https://github.com/Novum/vkQuake/commit/cb1f468b320ee756a51db29887cd46969d004887

From that version vkQuake is not being rendered correctly on Intel/Vulkan.

I've described the bug here:

https://github.com/Novum/vkQuake/issues/50

The workaround described here might be helpful in debugging this https://github.com/Novum/vkQuake/issues/50#issuecomment-238071652
Comment 1 Dave Airlie 2016-09-16 04:30:08 UTC
tracked down to a bug in the spirv->nir conversion code. patches to nir have been posted to mesa-dev list.
Comment 2 Vedran Rodic 2016-11-30 04:33:48 UTC
retest with latest vkQuake and mesa-git, this is fixed


bug/show.html.tmpl processed on Mar 26, 2017 at 13:03:38.
(provided by the Example extension).